
/*
*  Copyright {C} 2016 Texas Instruments Incorporated - http://www.ti.com/ 
*  ALL RIGHTS RESERVED 
*
*  Redistribution and use in source and binary forms, with or without
*  modification, are permitted provided that the following conditions
*  are met:
*
*    Redistributions of source code must retain the above copyright
*    notice, this list of conditions and the following disclaimer.
*
*    Redistributions in binary form must reproduce the above copyright
*    notice, this list of conditions and the following disclaimer in the
*    documentation and/or other materials provided with the
*    distribution.
*
*    Neither the name of Texas Instruments Incorporated nor the names of
*    its contributors may be used to endorse or promote products derived
*    from this software without specific prior written permission.
*
*  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
*  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
*  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
*  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
*  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
*  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
*  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
*  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
*  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
*  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
*  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*
*/

#pragma DATA_ALIGN(cf_1to2, 8);

const float cf_1to2[] = {
-1.417395867e-007,
3.019294886e-007,
9.13459509e-007,
-5.594345102e-007,
-2.926821953e-006,
3.155151236e-020,
6.776631671e-006,
3.064279629e-006,
-1.244441679e-005,
-1.131480717e-005,
1.841525992e-005,
2.804672561e-005,
-2.065346833e-005,
-5.605707163e-005,
1.180971497e-005,
9.568725548e-005,
1.87926105e-005,
-0.0001421833559,
-8.378249355e-005,
0.0001829183914,
0.0001945046584,
-0.0001954155674,
-0.0003558314973,
0.0001473860408,
0.0005595474763,
-1.47568648e-018,
-0.0007775707333,
-0.0002847716077,
0.0009569600926,
0.0007327110183,
-0.001019049337,
-0.001342910399,
0.0008649329844,
0.002072700258,
-0.000388762202,
-0.002825381577,
-0.0005010896823,
0.003444703073,
0.001854761076,
-0.003719684213,
-0.003651174839,
0.003402054998,
0.005770888469,
-0.002236359426,
-0.007976943399,
9.923933923e-018,
0.009908018308,
0.003452253877,
-0.01108517607,
-0.008146849487,
0.0109280728,
0.01396147899,
-0.008767258327,
-0.02061403224,
0.003821072228,
0.0276753699,
0.004940612733,
-0.03460687464,
-0.01928034968,
0.04081915871,
0.04347513334,
-0.04574401423,
-0.09336196445,
0.04890863046,
0.3139539189,
0.45
};

/*
FILTER    1
PASSBAND RIPPLE IN -dB          -0.04986
STOPBAND RIPPLE IN -dB              -125
PASSBAND CUTOFF FREQUENCY  2.02e+004     HERTZ
STOPBAND CUTOFF FREQUENCY   7.2e+004     HERTZ
SAMPLING FREQUENCY         1.92e+005     HERTZ
UP/DOWN SAMPLE FACTOR IN THIS STAGE         2
LENGTH OF THIS FILTER                      19
*/

#pragma DATA_ALIGN(cf_2to4, 8);

const float cf_2to4[] = {
-1.828257091550480e-004,
 5.441350929108760e-005,
 4.071700836857209e-003,
 1.045895335680413e-002,
-4.394677982507992e-004,
-3.944294273314063e-002,
-4.574891480219798e-002,
 7.649759845335806e-002,
 2.928717253578300e-001,
 4.060088404585953e-001,
};

/*
FILTER    1
PASSBAND RIPPLE IN -dB          -0.02496
STOPBAND RIPPLE IN -dB              -125
PASSBAND CUTOFF FREQUENCY  2.02e+004     HERTZ
STOPBAND CUTOFF FREQUENCY   7.2e+004     HERTZ
SAMPLING FREQUENCY         1.92e+005     HERTZ
UP/DOWN SAMPLE FACTOR IN THIS STAGE         2
LENGTH OF THIS FILTER                      24
*/

#pragma DATA_ALIGN (cf_1toH, 8);
const float	cf_1toH[] = {

 1.234848951431623e-004,
 4.983480014534061e-004,
-5.781710265377306e-005,
-3.232221836731910e-003,
-3.799675456054699e-003,
 8.467590066295154e-003,
 2.026278568087006e-002,
-8.441784608013397e-003,
-6.282590193226768e-002,
-2.455280197180569e-002,
 1.781291098662569e-001,
 3.953863370655381e-001
};

#pragma DATA_ALIGN (cf_HtoQ, 8);
float const cf_HtoQ[] = {
    1.995158061e-007,
    2.049520825e-007,
    -9.211967361e-007,
    -1.248961847e-006,
    2.057689885e-006,
    4.216792928e-006,
    -2.836672476e-006,
    -1.046240443e-005,
    1.193666581e-006,
    2.097830328e-005,
    6.66752453e-006,
    -3.523014537e-005,
    -2.621752539e-005,
    4.955920939e-005,
    6.362374338e-005,
    -5.553195231e-005,
    -0.0001235214122,
    3.891396223e-005,
    0.0002054901059,
    1.984550288e-005,
    -0.0002996675739,
    -0.0001427386206,
    0.0003825129808,
    0.0003483785748,
    -0.0004142612659,
    -0.0006433545326,
    0.0003398876893,
    0.001011837152,
    -9.523261773e-005,
    -0.001405549642,
    -0.0003807974796,
    0.001737058514,
    0.00112831612,
    -0.00187965925,
    -0.002144823084,
    0.001676678529,
    0.003363464315,
    -0.0009616869256,
    -0.004635946163,
    -0.0004109539204,
    0.005725076641,
    0.002528210009,
    -0.006310843338,
    -0.005378329467,
    0.006011476563,
    0.00881496993,
    -0.004417191175,
    -0.01253118654,
    0.001129423503,
    0.01604554248,
    0.00420790324,
    -0.01869466879,
    -0.01190852716,
    0.01960908451,
    0.02232214629,
    -0.01760294565,
    -0.03611429089,
    0.01074758618,
    0.05520319472,
    0.005388246541,
    -0.08686680353,
    -0.04828276451,
    0.1803433939,
    0.4133008412,
};
